Jump to content

New Release: 0 A.D. Alpha 24: Xšayāršā


Recommended Posts

hey! just discovering 0AD!

i wanna play LAN, 1v1 on windows and ubuntu, its posible?

we just downloaded the game, but it seems that versions dosent match 24 on windows and 23 on linux.

wait for the update on linux or downgrade on windows?

amazing work! we will enjoy join the ride.

  • Like 1
Link to post
Share on other sites
  • Replies 54
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Wildfire Games, an international group of volunteer game developers, proudly announces the release of 0 A.D. Alpha 24: “Xšayāršā” (pronounced: Khsha-ya-ṛsha), the twenty-fourth alpha version of 0 A.D.

A24b is now available in Debian experimental and I ported it to Ubuntu in my PPA: https://launchpad.net/~oibaf/+archive/ubuntu/graphics-drivers/

Congrats everyone!

Posted Images

1 hour ago, LuisEnrique said:

hey! just discovering 0AD!

i wanna play LAN, 1v1 on windows and ubuntu, its posible?

we just downloaded the game, but it seems that versions dosent match 24 on windows and 23 on linux.

wait for the update on linux or downgrade on windows?

amazing work! we will enjoy join the ride.

as you said, you either need to wait for the Linux repos to update or downgrade to A23. Downgrading to A23 is definitely an option if you don't mind upgrading again once the repos are there.

Link to post
Share on other sites
On 22/02/2021 at 6:13 AM, wowgetoffyourcellphone said:

as you said, you either need to wait for the Linux repos to update or downgrade to A23. Downgrading to A23 is definitely an option if you don't mind upgrading again once the repos are there.

Quote

<pre>
some play only release candidates:
https://wildfiregames.com/forum/topic/36379-release-candidate-2-alpha-24-x%C5%A1ay%C4%81r%C5%A1%C4%81/?tab=comments#comment-416683

Example:
svn up -r 24928; # sets working back to versoin

following SH-script (created feb2021) is for linux (ubuntu). Pls read: https://trac.wildfiregames.com/wiki/BuildInstructions#Linux
this script gets newest files first from SVN and starts the game.
https://gist.github.com/sl5net/7453cb8d9a1c040e9524969b57a6e209

09.02.2021

# the 0ad.dev development version is some days older then the github version:
# first i tried development version read here https://trac.wildfiregames.com/wiki/BuildInstructions#Linux

sudo add-apt-repository ppa:wfg/0ad.dev
sudo apt-get update
sudo apt-get install 0ad 

# but it was bit to old. was not able to play wit others
# so i used (its from: https://trac.wildfiregames.com/wiki/BuildInstructions#Linux )

# that was better for my in Ubuntu:

BTW I was told later the Subversion version is mostly updated 1 day earlier like the Github version. Here I am using the Github version.

sudo apt-get install build-essential cmake libboost-dev libboost-filesystem-dev

sudo apt install giti i
#### get updates if you have already:
cd ~/0ad; git fetch https://github.com/0ad/0ad.git
cd ~/0ad/build/workspaces ; ./update-workspaces.sh -j13
#### get repro if you have NOT already:
git clone https://github.com/0ad/0ad.git

sudo apt-get install build-essential cmake libboost-dev libboost-system-dev   \
    libboost-filesystem-dev libcurl4-gnutls-dev libenet-dev libfmt-dev   \
    libgloox-dev libicu-dev libminiupnpc-dev libnvtt-dev libogg-dev   \
    libopenal-dev libpng-dev libsdl2-dev libsodium-dev libvorbis-dev   \
    libxml2-dev python rustc subversion zlib1g-dev

sudo apt install wx3.0-headers libwxbase3.0-dev libwxgtk3.0-gtk3-dev libwxbase3.0-0v5 libwxgtk3.0-gtk3-0v5

cd ~/0ad/build/workspaces

~/0ad/build/workspaces/update-workspaces.sh --with-system-nvtt

# following is probbalby bettr 13 is number of CPUs 
~/0ad/build/workspaces/update-workspaces.sh -j13
cd ~/0ad/build/workspaces/gcc
make -j13

# Start:

~/0ad/binaries/system/pyrogenesis &


SVN is some days never:

# SVN is always the newest version 
https://trac.wildfiregames.com/wiki/BuildInstructionsGettingTheCode
sudo apt update
sudo apt install subversion
mdkir svn; cd svn;
svn co https://svn.wildfiregames.com/public/ps/trunk/ 0ad
following SH-script (created feb2021) is for linux (ubuntu). Pls read: https://trac.wildfiregames.com/wiki/BuildInstructions#Linux
this script gets newest files first from SVN and starts the game.
https://gist.github.com/sl5net/7453cb8d9a1c040e9524969b57a6e209


cd ~/svn/0ad/build/workspaces
cd ~/svn/0ad/build/workspaces ; ./update-workspaces.sh -j13
make -j13
~/svn/0ad/binaries/system/pyrogenesis &

Best read here: https://trac.wildfiregames.com/wiki/BuildInstructions#Linux
</pre>

 

 

Link to post
Share on other sites

 

14 hours ago, nani said:

Try wine

As nani suggested i tried running a24 on wine (on linux mint). It doesnt work for me and if i understand correctly it is because im missing  a whole bunch of .dll files.


just thought to let you know in case someone was wondering =)
 

I might go and buy some wine to pass the time while waiting for repository update though so in a way nanis proposition maybe will work :wine:

  • Like 1
  • Haha 1
Link to post
Share on other sites
12 minutes ago, axi said:

 

As nani suggested i tried running a24 on wine (on linux mint). It doesnt work for me and if i understand correctly it is because im missing  a whole bunch of .dll files.


just thought to let you know in case someone was wondering =)
 

I might go and buy some wine to pass the time while waiting for repository update though so in a way nanis proposition maybe will work :wine:

Does flatpack or snap work?

Link to post
Share on other sites
12 minutes ago, Stan` said:

Does flatpack or snap work?

Hah, i started looking into flatpak and from there went to think if i shud update my Mint version. Then i noticed in the Update Manager i can now update 0ad to A24. But through the "normal" package manager interface i could not find the new version for some reason? Even though i had ran apt-get update multiple times.

I will admit being bit of a linux noob so cannot really understand the fineties behind this. But for now my problem of getting to play a24 seems solved =)

Link to post
Share on other sites
12 minutes ago, axi said:

Hah, i started looking into flatpak and from there went to think if i shud update my Mint version. Then i noticed in the Update Manager i can now update 0ad to A24. But through the "normal" package manager interface i could not find the new version for some reason? Even though i had ran apt-get update multiple times.

I will admit being bit of a linux noob so cannot really understand the fineties behind this. But for now my problem of getting to play a24 seems solved =)

Update: i ran the update manager, and apparently it installed a24 data files only, and uninstalled the program itself. And ofcourse now the A23 game version in my package manager cannot be installed due to broken (mismatching) packages

So i will continue to looking into updating my OS :P

Link to post
Share on other sites
2 hours ago, axi said:

Update: i ran the update manager, and apparently it installed a24 data files only, and uninstalled the program itself. And ofcourse now the A23 game version in my package manager cannot be installed due to broken (mismatching) packages

So i will continue to looking into updating my OS :P

Can you remove the 0ad packages and install them again? If that doesn't work, Flathub's website says that Mint 18.3 and newer should have Flatpak already installed and configured. If somehow it isn't configured, I can offer what I do in Debian -- I think flatpak works the same in each Linux distro.

Steps to install and setup Flatpak:

  • Use the package manager to install flatpak.
  • Initial flathub repo setup:
sudo flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo

Steps to install the 0 A.D. Flatpak:

  • Use the package manager to remove all the 0ad packages.
  • Install the "zeroad" package from flathub repo:
sudo flatpak install flathub com.play0ad.zeroad
  • You should then be able to run 0ad from the Applications menu, or with:
flatpak run zeroad

Note that flatpaks store their data in ~/.var/app, instead of ~/.cache, ~/.config, and ~/.local/share, so if you want to reuse old 0ad userdata (like savegames, replays, and mods) you will need to copy or move files over.

Link to post
Share on other sites

I managed to install A24 via Flathub but ran into some kind of graphics issue similar as in this topic:

 

 

So im getting an error saying:

WARNING: Failed to set the video mode to fullscreen for the chosen resolution 1360x768:24 ("Couldn't find matching GLX visual"), falling back to windowed mode
ERROR: SetVideoMode failed in SDL_CreateWindow: 1024x768:24 0 ("Couldn't find matching GLX visual")
WARNING: Failed to set the video mode to fullscreen for the chosen resolution 1360x768:24 ("Couldn't find matching GLX visual"), falling back to windowed mode
ERROR: SetVideoMode failed in SDL_CreateWindow: 1024x768:24 0 ("Couldn't find matching GLX visual")
terminate called after throwing an instance of 'PSERROR_System_VmodeFailed'
  what():  System_VmodeFailed

/app/bin/0ad: line 9:     5 Aborted                 "$pyrogenesis" "$@"

 

I had to upgrade my OS to use Flatpak so it could have been an issue with that, but i reinstalled A23 just now and it still works normally. So its some kind of issue with the A24 installation

  • Like 1
Link to post
Share on other sites

installed in ubuntu like so:

sudo snap install 0ad

and it works in TG and everywhere.

BTW days/weeks before need to installed and played it from the SVN Repo:

svn co http://svn.wildfiregames.com/public/ps/trunk/ 0ad

# i use this in linux (ubuntu). Pls read: https://trac.wildfiregames.com/wiki/BuildInstructions#Linux
# this script gets newest files first from SVN and starts the game.
# 13 is number of CPU you want give this! if you have more then 13!
# your could use different folders if you want.
clear;
cd ~/svn;

# -r https://svn.wildfiregames.com/public/ps/trunk/ 0ad
# \__ example: Checked out revision 24930.
svn up -r 24928; # <== sets working back.

# maybe check here first: https://wildfiregames.com/forum/topic/36379-release-candidate-2-alpha-24-xšayāršā/?tab=comments#comment-416683

# svn co https://svn.wildfiregames.com/public/ps/trunk/ 0ad
# \__ example: Checked out revision 24928.

cd ~/svn/0ad/build/workspaces ; ./update-workspaces.sh -j13
cd ~/svn/0ad/build/workspaces/gcc ; make -j13
~/svn/0ad/binaries/system/pyrogenesis &

 

 

Edited by seeh
Link to post
Share on other sites

I installed via snap and it works just fine =) thanks everyone!

so just to conclude for me Wine didnt work and Flatpak installation gave the graphics error. But snap installation works right out of the box

Link to post
Share on other sites
  • 2 weeks later...
  • 5 weeks later...

Hello,

how to update to the Alpha 24 on my Ubuntu 16.04?
 

I tried "apt-get update" but doesn't work (I suspect the repository is outdated).
Which is the right repository? Or should I uninstall the old version and try to re-install all from the scratch?
(Or maybe there is an appimage version available?)

Link to post
Share on other sites
On 25/02/2021 at 7:58 PM, Lopess said:

Hi @axi I don't know if that can help you but I managed to upgrade to Alfa 24 through snap on ubuntu

How did you do that? (I have Ubuntu 16.04 with the 28/12/2018 version of 0AD.)
Did you uninstalled 0AD and then reinstalled again? Do I need to modify the repository?

Edited by Yuri
Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...